

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>AM62AX Ring Accelerator Device Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="AM62AX DMA Device Descriptions" href="dma_cfg.html"/>
        <link rel="prev" title="AM62AX Interrupt Management Device Descriptions" href="interrupt_cfg.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am64x">AM64x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">AM62AX Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">AM62AX Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">AM62AX Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">AM62AX PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">AM62AX Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">AM62AX Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">AM62AX Ring Accelerator Device Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#ring-accelerator-device-ids">Ring Accelerator Device IDs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#ring-accelerator-ring-indices">Ring Accelerator Ring Indices</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="dma_cfg.html">AM62AX DMA Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="psil_cfg.html">AM62AX PSI-L Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="proxy_cfg.html">AM62A Proxy Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">AM62AX Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">AM62AX Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">AM62AX Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">AM62AX Device Group descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62px">AM62Px</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e">J721E</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j784s4">J784S4</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>AM62AX Ring Accelerator Device Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="am62ax-ring-accelerator-device-descriptions">
<h1>AM62AX Ring Accelerator Device Descriptions<a class="headerlink" href="#am62ax-ring-accelerator-device-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the Ring Accelerator devices in the AM62AX
SoC.  Some System Firmware TISCI messages take device specific inputs. This
chapter provides information on the valid values for Ring Accelerator TISCI
message parameters.</p>
</div>
<div class="section" id="ring-accelerator-device-ids">
<span id="pub-soc-am62ax-ra-device-ids"></span><h2>Ring Accelerator Device IDs<a class="headerlink" href="#ring-accelerator-device-ids" title="Permalink to this headline">¶</a></h2>
<p>Some System Firmware TISCI message APIs require the Ring Accelerator device ID
be provided as part of the request. Based on <a class="reference internal" href="devices.html"><span class="doc">AM62AX Device IDs</span></a>
these are the valid Ring Accelerator device IDs.</p>
<table border="1" class="docutils">
<colgroup>
<col width="52%" />
<col width="48%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Ring Accelerator Device Name</th>
<th class="head">Ring Accelerator Device ID</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>AM62AX_DEV_DMASS0_BCDMA_0</td>
<td>26</td>
</tr>
<tr class="row-odd"><td>AM62AX_DEV_DMASS0_PKTDMA_0</td>
<td>30</td>
</tr>
<tr class="row-even"><td>AM62AX_DEV_DMASS0_RINGACC_0</td>
<td>33</td>
</tr>
<tr class="row-odd"><td>AM62AX_DEV_DMASS1_BCDMA_0</td>
<td>199</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="ring-accelerator-ring-indices">
<span id="pub-soc-am62ax-ra-rings"></span><h2>Ring Accelerator Ring Indices<a class="headerlink" href="#ring-accelerator-ring-indices" title="Permalink to this headline">¶</a></h2>
<p>This section describes valid Ring Accelerator ring indices for each ring type.
The ring index and type ID are used in some Ring Accelerator based TISCI
messages.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Resources marked as reserved for use by TIFS <strong>cannot</strong> be assigned to a
host within the RM Board Configuration resource assignment array.  The RM
Board Configuration is rejected if an overlap with a reserved resource is
detected.</p>
</div>
<p><strong>DMASS0_BCDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="47%" />
<col width="53%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Ring Type</th>
<th class="head">Ring Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>BLOCK_COPY_CHAN</td>
<td>0 to 31</td>
</tr>
<tr class="row-odd"><td>SPLIT_TR_TX_CHAN</td>
<td>32 to 53</td>
</tr>
<tr class="row-even"><td>SPLIT_TR_RX_CHAN</td>
<td>54 to 81</td>
</tr>
</tbody>
</table>
<p><strong>DMASS0_PKTDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="47%" />
<col width="53%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Ring Type</th>
<th class="head">Ring Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>UNMAPPED_TX_CHAN</td>
<td>0 to 18</td>
</tr>
<tr class="row-odd"><td>CPSW_TX_CHAN</td>
<td>19 to 82</td>
</tr>
<tr class="row-even"><td>SAUL_TX_0_CHAN</td>
<td>83 to 90</td>
</tr>
<tr class="row-odd"><td>SAUL_TX_1_CHAN</td>
<td>91 to 98</td>
</tr>
<tr class="row-even"><td>UNMAPPED_RX_CHAN</td>
<td>99 to 117</td>
</tr>
<tr class="row-odd"><td>CPSW_RX_CHAN</td>
<td>118 to 133</td>
</tr>
<tr class="row-even"><td>SAUL_RX_0_CHAN</td>
<td>134 to 141</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_1_CHAN</td>
<td>134 to 141</td>
</tr>
<tr class="row-even"><td>SAUL_RX_2_CHAN</td>
<td>142 to 149</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_3_CHAN</td>
<td>142 to 149</td>
</tr>
</tbody>
</table>
<p><strong>DMASS0_RINGACC_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="39%" />
<col width="61%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Ring Type</th>
<th class="head">Ring Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>&#160;</td>
<td>&#160;</td>
</tr>
</tbody>
</table>
<p><strong>DMASS1_BCDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="47%" />
<col width="53%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Ring Type</th>
<th class="head">Ring Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_RX_CHAN</td>
<td>0 to 5</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="dma_cfg.html" class="btn btn-neutral float-right" title="AM62AX DMA Device Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="interrupt_cfg.html" class="btn btn-neutral" title="AM62AX Interrupt Management Device Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>